Loading...
Searching...
No Matches
L4Re::Util::Event_svr< SVR > Class Template Reference

Convenience wrapper for implementing an event server. More...

`#include <event_svr>`

Collaboration diagram for L4Re::Util::Event_svr< SVR >:

## Public Member Functions

long | op_get_buffer (L4Re::Event::Rights, L4::Ipc::Cap< L4Re::Dataspace > &ds)
| Handle L4Re::Event protocol.

## Detailed Description

template<typename SVR>
class L4Re::Util::Event_svr< SVR >

Convenience wrapper for implementing an event server.

See also
  L4Re::Event, L4Re::Util::Event_t

Definition at line 28 of file event_svr.

The documentation for this class was generated from the following file:

- l4/re/util/event_svr